# NameUtilities.h File Reference

## Functions
void | GetUniqueTreeNameByBaseName (I3DShScene *inSceneContext, TMCString &inBaseName, TMCString &outUniqueName)
void | GetUniqueMasterObjectNameByBaseName (I3DShScene *inSceneContext, TMCString &inBaseName, TMCString &outUniqueName)
void | GetUniqueMasterShaderNameByBaseName (I3DShScene *inSceneContext, TMCString &inBaseName, TMCString &outUniqueName)
void | GetUniqueName (TMCClassArray< TMCDynamicString > &inNameContext, TMCString &inBaseName, TMCString &outUniqueName, const int32 maxLenght)
void | MakeNumberedName (const TMCString &unnumberedName, const int32 number, TMCString &outName)
int32 | GetNumber (const TMCString &name)
void | GetUnnumberedName (const TMCString &name, TMCString &outname)
void | MakeNumberedNameWithParenthesis (const TMCString &unnumberedName, const int32 number, TMCString &outName)
int32 | GetNumberWithParenthesis (const TMCString &name)
void | GetUnnumberedNameWithParenthesis (const TMCString &name, TMCString &outname)

## Function Documentation

int32 GetNumber | ( | const TMCString & | name | ) |

int32 GetNumberWithParenthesis | ( | const TMCString & | name | ) |

void GetUniqueMasterObjectNameByBaseName | ( | I3DShScene * | inSceneContext,
|  | TMCString & | inBaseName,
|  | TMCString & | outUniqueName |
| ) |  |  |

void GetUniqueMasterShaderNameByBaseName | ( | I3DShScene * | inSceneContext,
|  | TMCString & | inBaseName,
|  | TMCString & | outUniqueName |
| ) |  |  |

void GetUniqueName | ( | TMCClassArray< TMCDynamicString > & | inNameContext,
|  | TMCString & | inBaseName,
|  | TMCString & | outUniqueName,
|  | const int32 | maxLenght |
| ) |  |  |

void GetUniqueTreeNameByBaseName | ( | I3DShScene * | inSceneContext,
|  | TMCString & | inBaseName,
|  | TMCString & | outUniqueName |
| ) |  |  |

void GetUnnumberedName | ( | const TMCString & | name,
|  | TMCString & | outname |
| ) |  |  |

void GetUnnumberedNameWithParenthesis | ( | const TMCString & | name,
|  | TMCString & | outname |
| ) |  |  |

void MakeNumberedName | ( | const TMCString & | unnumberedName,
|  | const int32 | number,
|  | TMCString & | outName |
| ) |  |  |

void MakeNumberedNameWithParenthesis | ( | const TMCString & | unnumberedName,
|  | const int32 | number,
|  | TMCString & | outName |
| ) |  |  |